## AccountApi

This is the AccountApi API

## authenticate

### URL

`http://api.wordnik.com/v4/account.{format}/authenticate/{username}`

### HTTP Method

`GET`

### Response Type

AuthenticationToken

### Parameters

username : string (path)

A confirmed Wordnik username

password : string (query)

The user's password

## authenticatePost

### URL

`http://api.wordnik.com/v4/account.{format}/authenticate/{username}`

### HTTP Method

`POST`

### Response Type

AuthenticationToken

### Parameters

username : string (path)

A confirmed Wordnik username

body : string (body)

The user's password

## getWordListsForLoggedInUser

### URL

`http://api.wordnik.com/v4/account.{format}/wordLists`

### HTTP Method

`GET`

### Response Type

List[WordList]

### Parameters

auth_token : string (header)

auth_token of logged-in user

skip : int (query)
optional

Results to skip

limit : int (query)
optional

Maximum number of results to return

## getApiTokenStatus

### URL

`http://api.wordnik.com/v4/account.{format}/apiTokenStatus`

### HTTP Method

`GET`

### Response Type

ApiTokenStatus

### Parameters

api_key : string (header)
optional

Wordnik authentication token

## getLoggedInUser

Requires a valid auth_token to be set.

### URL

`http://api.wordnik.com/v4/account.{format}/user`

### HTTP Method

`GET`

### Response Type

User

### Parameters

auth_token : string (header)

The auth token of the logged-in user, obtained by calling /account.{format}/authenticate/{username} (described above)